#!/bin/sh
# Default values if not provided
: ${BACKEND_HOST:=localhost}
: ${BACKEND_PORT:=8080}

# Wait until the backend host is resolvable
echo "Waiting for backend host $BACKEND_HOST..."
until getent hosts "$BACKEND_HOST" > /dev/null; do
  sleep 1
done

envsubst '$BACKEND_HOST $BACKEND_PORT' < /etc/nginx/templates/nginx.conf.template > /etc/nginx/conf.d/default.conf
exec nginx -g 'daemon off;'
